Skip to main content
Compute Management/Host Related Interfaces/Host Hardware Device APIs
GETHost Hardware Device APIsSince 0.6SynchronousAuth Required

Query FC Storage LUN

Query FC Storage LUN

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See error for details

    • codeStringRequired

      Error code number. Globally unique identifier of the error, for example SYS.1000, HOST.1001.

    • descriptionStringRequired

      Brief error description

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause error. The error that caused the current error. If there is no original error, this field is null.

  • inventoriesListRequired

    See inventories for details

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource.

    • fiberChannelStorageUuidStringRequired

      FC SAN Storage UUID

    • wwidStringRequired

      Disk globally unique identifier

    • vendorStringRequired

      Vendor

    • modelStringRequired

      Model

    • wwnStringRequired

      Disk WWN

    • serialStringRequired

      Disk serial number

    • typeStringRequired

      Disk type

    • pathStringRequired

      Disk path

    • sizeLongRequired

      Disk size

    • createDateTimestampRequired

      Create time

    • lastOpDateTimestampRequired

      Last update time

    • nameStringRequired

      Resource name

    • stateStringRequired

      Enabled status

    • scsiLunHostRefsListRequired

      See scsiLunHostRefs for details

      • scsiLunUuidStringRequired

        SCSI Lun UUID

      • hostUuidStringRequired

        Host UUID

      • createDateTimestampRequired

        Create time

      • lastOpDateTimestampRequired

        Last update time

    • scsiLunVmInstanceRefsListRequired

      See scsiLunVmInstanceRefs for details

      • scsiLunUuidStringRequired

        SCSI Lun UUID

      • vmInstanceUuidStringRequired

        Virtual Machine UUID

      • createDateTimestampRequired

        Create time

      • lastOpDateTimestampRequired

        Last update time

Endpoint

GET/zstack/v1/storage-devices/fiber-channel/luns

/zstack/v1/storage-devices/fiber-channel/luns

Operation ID

QueryFiberChannelLun

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/storage-devices/fiber-channel/luns' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "fiberChannelStorageUuid": "9f1895c8d1b6306e908df42244901617", "scsiLunHostRefs": [], "scsiLunVmInstanceRefs": [], "name": "fc-lun-36b083fe000daf018000022905ba35d8f", "uuid": "aaab6d1a63713ae0ac18a21b9547312b", "wwid": "36b083fe000daf018000022905ba35d8f", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6f01faf000d5c3e7", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-11", "size": 5497558138880 }, { "fiberChannelStorageUuid": "9452ad8bb69f33c495bf0da260d80003", "scsiLunHostRefs": [], "scsiLunVmInstanceRefs": [], "name": "fc-lun-36f01faf000d5c3e7000023ef5ba362f2", "uuid": "cc050d2f06163d9dbf6d82cd61b7f008", "wwid": "36f01faf000d5c3e7000023ef5ba362f2", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-12", "size": 5497558138880 } ] }

Change History

This API has no change history records yet.

View all change history